# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           elfinfo
Version:        1.1
Release:        alt1_16
Summary:        ELF file parser a subset of eu-readelf
Group:          Development/Tools
License:        GPLv2
URL:            http://code.google.com/p/elfinfo/
Source0:        http://elfinfo.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         elfinfo-1.1-build.patch

%description
This Tool is essentially a subset of eu-readelf functionality.
This package can work without libelf.

%prep
%setup -q -c
%patch0 -p1 -b .build

%build
make CFLAGS="${RPM_OPT_FLAGS}" %{?_smp_mflags} 

%install
mkdir -p %{buildroot}/%{_bindir}
make install DESTDIR=%{buildroot} INSTALL="install -p" PREFIX=%{_prefix} DOCDIR=%{_docdir}/%{name}

%files
%doc COPYING AUTHORS ChangeLog README
%{_bindir}/elfinfo


%changelog
* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_16
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_15
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_14
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_13
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_12
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_11
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_10
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_9
- fc import

